{{define "title"}}
CI  overview
{{end}}

{{define "content"}}
{{$p := .UrlPrefix}}
<div class="container">
    {{if len .AdminProjects | lt 0 }}
    <div class="row mt-3 mb-1"><h2>Projects with admin access</h2></div>
    {{range .AdminProjects}}
    <div class="row mb-2">
        <div class="col-3">
            <a href="/{{ $p }}/{{ .SetupUrl }}">{{ .Name }}</a>
        </div>
        <div class="col-9">({{ .RepoUrl }})</div>
    </div>
    {{end}} {{/* range .AdminProjects */}}
    {{else}}
    <div class="row mt-3 mb-1"><h2>You have 0 projects with admin access.</h2></div>
    {{end}} {{/* if  0 < len(.AdminProjects) */}}
    {{if len .ManagerProjects | lt 0 }}
    <div class="row mt-3 mb-1"><h2>Projects with manager access</h2></div>
    {{range .ManagerProjects}}
    <div class="row mb-2">
        <div class="col-3">{{ .Name }}</div>
        <div class="col-9">({{ .RepoUrl }})</div>
    </div>
    {{end}}
    {{end}}
</div>
<a href="/{{$p}}/logout" style="position: absolute; right: 10px; top: 10px">Logout</a>
{{if .CanRegister}}
<a href="/{{$p}}/register" style="position: absolute; right: 10px; bottom: 10px">Register new project</a>
{{end}} {{/* if .CanRegister */}}
{{end}} {{/* define "content" */}}

{{- template "base" . -}}
